Package org.codehaus.commons.compiler.java8.java.util

# Class Optional<T>

java.lang.Object
org.codehaus.commons.compiler.java8.java.util.Optional<T>

Type Parameters:
  `T` -

public class Optional<T> extends Object
Pre-Java-9-compatible facade for Java 9's `java.util.Optional` class.

## Constructor Summary

Constructors
Constructor
Description
`Optional(Object delegate)`

## Method Summary

Modifier and Type
Method
Description
`T`
`get()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Optional

public Optional(Object delegate)

## Method Details

### get

public T get()